# sc::SCException Class Reference

This is a std::exception specialization that records information about where an exception took place. More...

`#include <scexception.h>`

Inheritance diagram for sc::SCException:

List of all members.

## Public Member Functions

| SCException (const char *description=0, const char *file=0, int line=0, const ClassDesc *class_desc=0, const char *exception_type="SCException") throw ()
| SCException (const SCException &) throw ()
const char * | what () const throw ()
| Reimplementation of std::exception::what().
const char * | description () const throw ()
const char * | file () const throw ()
int | line () const throw ()
const ClassDesc * | class_desc () const throw ()
const char * | exception_type () const throw ()
std::ostream & | elaborate ()
| Returns a stream where addition information about the exception can be written.

## Detailed Description

This is a std::exception specialization that records information about where an exception took place.

## Member Function Documentation

const char* sc::SCException::what | ( |  | ) | const throw ()

Reimplementation of std::exception::what().

The returned std::string is only valid for the lifetime of this object.

std::ostream& sc::SCException::elaborate | ( |  | ) |

Returns a stream where addition information about the exception can be written.

This will throw if a valid stream cannot be returned (possibly due to low memory).

The documentation for this class was generated from the following file:

- scexception.h